#!/bin/bash

BILL_NO=$1

if [ "$BILL_NO" = "" ]; then
  echo "No billing number given"
  exit 1
fi

NB_DIR=~/Workspace/neben-brief
export PYTHONPATH=${NB_DIR}/rechnung

python3 ${NB_DIR}/generate.py -i ${BILL_NO}.json -t ${NB_DIR}/rechnung/rechnung.tmpl -o ${BILL_NO}.tex -p billingPreprocessor

pdflatex ${BILL_NO}.tex
rm ${BILL_NO}.aux ${BILL_NO}.log


